Skip to content
GBG Documents & Biometrics Documentation

/ProofOfAddress/lite/id

POST
/ProofOfAddress/lite/id
curl --request POST \
--url https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/lite/id \
--header 'Content-Type: multipart/form-data' \
--form DocumentImageId=example \
--form Side=example \
--form CountryCode=example \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

External endpoint to get the verification response of the Proof of Address A4 processed document using id of the image stored in cache/store.

IDscan Core Document POA Extraction Service endpoint allows a document to be uploaded (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document details will be extracted.

  • None
x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
DocumentImageId

A4 Document Image ID to be verified. (White image in normal light).

string
Side

The side of the document to be extracted.

string
CountryCode

The country code of the document (Mandatory for IDES provider).

string
AdditionalDetails

Pass any additional details, if required.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted identity document/s.This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint.The document result is in the response body (See Response Body section below).

The response of the Proof of Address A4 document journey.

object
correlationId
string
nullable
extractedFields

Extracted fields from query document like first name, last name, birth date etc.

Array<object>
nullable

Represents an information element that is extracted or deducted from the document.

object
label

Extracted field name which is used to identify the field.

string
nullable
details

Field information about each source where the fields was located (viz, mrz, barcode).

Array<object>
nullable

Field information about each source where the fields was located (viz, mrz, barcode).

object
label

Extracted field name which is used to identify the field.

string
nullable
source

Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).

string
nullable
value

Extracted field string value.

string
nullable
isNonLatin

Sets to true if the value is in Non Latin language, false otherwise.

boolean
regionOfInterest

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
additionalDetails

Contains any additional details.

object
key
additional properties
string
nullable
extractedImage

Base64 encoded image of the extracted document.

string format: byte
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

A downstream service is temporarily out of capacity, please, retry later.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable